QGIS Application - Bug report #20409
Error on apply qml style for a raster layer in 3.4.1 and Master 0ea86bf0a5
2018-11-08 12:52 PM - Antonio Viscomi

Status: Open

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.4.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28229
Description

New description:

After loading a saved QML style, this changes to a different one when clicking on "apply". Data, style and screencast attached.

Old description:

in 2.18.25 it works fine with the same data and gml
in 3.4.1 and Master 0ea86bf0a5 it don't works

| attach a screencast, data and gm file

History

#1 - 2018-11-08 01:57 PM - Giovanni Manghi
- Status changed from Open to Feedback

was the gml created in 2.187?

#2 - 2018-11-08 02:18 PM - Antonio Viscomi

Giovanni Manghi wrote:

was the qml created in 2.187

yes

| also noticed that, when | load a gml in 3.4.1 an Master (regardless of whether it was created with 3.4, 3.5 or 2.x) ,

"visualization type" It automatically switch on "palette”

even if the style had been saved in pseudo color mode

#3 - 2018-11-08 04:41 PM - Giovanni Manghi

I also noticed that, when | load a gml in 3.4.1 an Master (regardless of whether it was created with 3.4, 3.5 or 2.x) ,

"visualization type" It automatically switch on "palette”
even if the style had been saved in pseudo color mode

this is a different issue (I think) please file a different ticket (with sample data and style), thanks.
#4 - 2018-11-08 04:46 PM - Giovanni Manghi

I also noticed that, when | load a gml in 3.4.1 an Master (regardless of whether it was created with 3.4, 3.5 or 2.x) ,
"visualization type" It automatically switch on "palette”
even if the style had been saved in pseudo color mode

just tried this in gqgis master and can't confirm.

#5 - 2018-11-08 04:50 PM - Giovanni Manghi
- Regression? changed from Yes to No

- Operating System deleted (windows 7)

- Description updated

- Status changed from Feedback to Open

- Priority changed from High to Normal

#6 - 2018-11-08 04:55 PM - Martin Dobias

I think this a consequence of removal of the "Load" button to load min/max values from raster layer properties in https://github.com/qgis/QGIS/pull/3871 - it

was changed to load min/max when Apply is clicked which | think here interferes with the newly loaded style (once the new min/max values are loaded, the
classification is auto-updated from the current color ramp). My preference would be to have the "Load" button back so it is not tied to Apply which is
somehow unexpected.

side tip: after loading QML style, you do not need to click Apply or OK. Just press Cancel button and the loaded style should stay... hard to say whether
that's a bug or a feature :-)

#7 - 2018-11-08 05:03 PM - Giovanni Manghi

Martin Dobias wrote:

| think this a consequence of removal of the "Load" button to load min/max values from raster layer properties in
https://github.com/qqis/QGIS/pull/3871 - it was changed to load min/max when Apply is clicked which | think here interferes with the newly loaded

style (once the new min/max values are loaded, the classification is auto-updated from the current color ramp). My preference would be to have the

"Load" button back so it is not tied to Apply which is somehow unexpected.

+1

side tip: after loading QML style, you do not need to click Apply or OK. Just press Cancel button and the loaded style should stay... hard to say
whether that's a bug or a feature :-)

... is at the very minimum a very bad ux, borderline bug.

#8 - 2018-11-08 05:24 PM - Antonio Viscomi
- File gml_style2.avi added

Martin Dobias wrote:
https://github.com/qgis/QGIS/pull/3871
https://github.com/qgis/QGIS/pull/3871

side tip: after loading QML style, you do not need to click Apply or OK. Just press Cancel button and the loaded style should stay... hard to say
whether that's a bug or a feature :-)

is not to contradict you but if | press close button appear what you see in the screencast named gml_style2

#9 - 2018-11-08 05:26 PM - Antonio Viscomi

Giovanni Manghi wrote:
| also noticed that, when | load a gml in 3.4.1 an Master (regardless of whether it was created with 3.4, 3.5 or 2.x) ,
"visualization type" It automatically switch on "palette"”

even if the style had been saved in pseudo color mode

this is a different issue (I think) please file a different ticket (with sample data and style), thanks.

| think is not a issue but the prefixed behavior for new style manager

#10 - 2018-11-08 05:30 PM - Antonio Viscomi

Giovanni Manghi wrote:

| also noticed that, when I load a gml in 3.4.1 an Master (regardless of whether it was created with 3.4, 3.5 or 2.x) ,

"visualization type" It automatically switch on "palette"
even if the style had been saved in pseudo color mode

just tried this in qgis master and can't confirm.

the screencasts was recorded on Master 8125366d65

#11 - 2018-11-08 05:35 PM - Giovanni Manghi

the screencasts was recorded on Master 8125366d65

I'm referring to the second issue, the one that is not part of the description of this ticket (you added as a comment).

#12 - 2018-11-08 05:41 PM - Antonio Viscomi

Giovanni Manghi wrote:

the screencasts was recorded on Master 8125366d65

I'm referring to the second issue, the one that is not part of the description of this ticket (you added as a comment).

ah ok,
then | need to refile the second one as a new Issue?

#13 - 2018-11-08 05:45 PM - Antonio Viscomi

- File sl_raster_rec_350.gml added

Antonio Viscomi wrote:

New description:

After loading a saved QML style, this changes to a different one when clicking on "apply". Data, style and screencast attached.

| attach the gml saved by Master

#14 - 2018-11-08 05:46 PM - Giovanni Manghi

| attach the gml saved by Master

is not a matter of gml, explanation has been give here in #20409-6

#15 - 2018-11-09 09:59 AM - Giovanni Manghi

ah ok,

then | need to refile the second one as a new Issue?

you sure about it? | can't confirm here.

#16 - 2018-11-09 11:13 AM - Antonio Viscomi

Giovanni Manghi wrote:

ah ok,
then I need to refile the second one as a new Issue?

you sure about it? | can't confirm here.

Yes, I do
Because in screencast gml_style2 it appear this... But I'm not sure It is an issue

#17 - 2018-11-09 11:41 AM - Giovanni Manghi

Yes, I do
Because in screencast gml_style2 it appear this... But I'm not sure It is an issue
the only issue | see (in your cast) is that when loading the style it is applied correclty it does not switch to "palletted". If you close the properties and reopen

them it shows correctly "palletted”, is it?

#18 - 2018-11-09 01:57 PM - Antonio Viscomi

Giovanni Manghi wrote:

Yes, | do
Because in screencast gml_style2 it appear this... But I'm not sure It is an issue

the only issue | see (in your cast) is that when loading the style it is applied correclty it does not switch to "palletted”. If you close the properties and

reopen them it shows correctly "palletted”, is it?

Yes, even if the style is saved by 3.5 in pseudocolor mode when you load it or open it again It automatically switches to palette

#19 - 2018-11-29 02:09 PM - Antonio Viscomi

this issue appears even in the case of a reclassification of a raster making vain the same reclassification

Files

gml_style.7z 3.07 MB 2018-11-08 Antonio Viscomi
gml_style2.avi 4.23 MB 2018-11-08 Antonio Viscomi
sl_raster_rec_350.gqml 1.79 KB 2018-11-08 Antonio Viscomi
